%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires(pre): perl(Data/Dumper.pm) perl(ExtUtils/MakeMaker.pm) perl(Net/IRC.pm) perl(POE.pm) perl(POE/Component/IRC.pm) perl(Test.pm)
# END SourceDeps(oneline)
%define module_version 0.021
%define module_name Tanker
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.021
Release: alt1
Summary: a module to allow you to construct pipelines
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/S/SI/SIMONW/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Tanker allows you to construct asynchronous pipelines such that

        another client
              |
client ----.  |  .----- yet another
           |  |  |   
        .----------.
        | Generate | 
        |  Request |
        '----------'
             |
             | <- pipeline plugin
             | <- pipeline plugin
             | <- pipeline plugin
             | 
        .----------.
        | Generate |
        | Response |
        '----------'
             |
            \'/
             '                                   

and requests can travel down the pipeline asynchronously.

i.e if one requests enters the pipeline and a plugin takes 
a long time to complete then other requests can be passing 
down the pipeline at the same time.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc COPYING README Changes
%perl_vendor_privlib/T*

%changelog
* Fri May 02 2014 Igor Vlasenko <viy@altlinux.ru> 0.021-alt1
- initial import by package builder

